Bug 27413 - upgrade to fisher broke printing
upgrade to fisher broke printing
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: printconf (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-13 11:11 EST by Gerald Henriksen
Modified: 2008-05-01 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-19 18:17:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gerald Henriksen 2001-02-13 11:11:11 EST
When running Red Hat 7.0 Guiness printing worked fine to a Minolta Dialta
Printer/copier/fax machine on the network.

Upgrading to Fisher broke printing, lpq would give an abort message.

Attempting to configure a new printer using printconf did not work.

After reading bugzilla, tried LPRng and printconf from rawhide, did not
work.

removed printconf, and went back to LPRng and printtool from Guiness,
printing again works.
Comment 1 Glen Foster 2001-02-13 15:24:23 EST
We (Red Hat) should really try to resolve this before next release.
Comment 2 Tim Waugh 2001-02-13 18:59:45 EST
Were you printing ASCII text, PostScript, or something else?
Do you have the exact error message?

Also helpful is the status.printername file in /var/spool/lpd/printername.
Comment 3 Gerald Henriksen 2001-02-14 15:54:16 EST
Just upgraded to the fisher print system again (LPRng 3.7.4-6, printconf 0.0-15)
and got the following:

/home/ghenriks/fisher $ rpm -Uvh LPRng-3.7.4-6.i386.rpm
printconf-0.0-15.i386.rpm printconf-gui-0.0-15.i386.rpm 
Preparing...                ########################################### [100%]
   1:LPRng                  ########################################### [ 33%]
error: execution of %postun scriptlet from LPRng-3.6.24-2 failed, exit status
127
   2:printconf              ########################################### [ 66%]
error: cannot remove /usr/lib/rhs/rhs-printfilters - directory not empty
   3:printconf-gui          ########################################### [100%]

The error messages are also in /tmp/upgrade.log from when I upgraded from 7.0 to
fisher.

An attempt to print a text file (lpr test.txt) results in no error messages,
however lpq gives:

/home/ghenriks $ lpq
Printer: lp@nutmeg
 Queue: no printable jobs in queue
 Status: removing job 'ghenriks@nutmeg+500' - ABORT at 14:40:03.744
/home/ghenriks $ 

As requested, from /var/spool/lpd/lp/status.lp :

 ## A=ghenriks@nutm
eg+284 number=284 process=2285
waiting for subserver to exit at 2001-02-14-14:40:03.689 ## A=<NULL> number=0 p
rocess=1501
subserver pid 1502 starting at 2001-02-14-14:40:03.713 ## A=ghenriks@nutmeg+500
 number=500 process=1502
accounting at start at 2001-02-14-14:40:03.713 ## A=ghenriks@nutmeg+500 number=
500 process=1502
opening device '/dev/null' at 2001-02-14-14:40:03.719 ## A=ghenriks@nutmeg+500 
number=500 process=1502
printing job 'ghenriks@nutmeg+500' at 2001-02-14-14:40:03.719 ## A=ghenriks@nut
meg+500 number=500 process=1502
processing 'dfA500nutmeg.personification.com', size 926, format 'f', IF filter 
'filter' at 2001-02-14-14:40:03.719 ## A=ghenriks@nutmeg+500 number=500 process
=1502
IF filter 'filter' filter msg - 'Make_passthrough: pid 1503, execve '/var/spool
/lpd/lp/filter' failed - 'No such file or directory'' at 2001-02-14-14:40:03.72
2 ## A=ghenriks@nutmeg+500 number=500 process=1502
IF filter 'filter' filter exit status 'JABORT' at 2001-02-14-14:40:03.742 ## A=
ghenriks@nutmeg+500 number=500 process=1502
printing finished at 2001-02-14-14:40:03.742 ## A=ghenriks@nutmeg+500 number=50
0 process=1502
accounting at end at 2001-02-14-14:40:03.742 ## A=ghenriks@nutmeg+500 number=50
0 process=1502
finished 'ghenriks@nutmeg+500', status 'JABORT' at 2001-02-14-14:40:03.742 ## A
=ghenriks@nutmeg+500 number=500 process=1502
subserver pid 1502 exit status 'JABORT' at 2001-02-14-14:40:03.743 ## A=<NULL> 
number=0 process=1501
job 'ghenriks@nutmeg+500' error 'aborting operations' at 2001-02-14-14:40:03.74
4 ## A=ghenriks@nutmeg+500 number=500 process=1501
removing job 'ghenriks@nutmeg+500' - ABORT at 2001-02-14-14:40:03.744 ## A=ghen
riks@nutmeg+500 number=500 process=1501

Try deleting the existing printer with printconf, and creating a new one.  same
thing.

Try upgrading to LPRng and printconf fromrawhide, same thing with lpr and lpq. 
Here
is the status.lp in case something changed:

## A=ghen
riks@nutmeg+500 number=500 process=1501
waiting for subserver to exit at 2001-02-14-14:56:46.649 ## A=<NULL> number=0 p
rocess=1668
subserver pid 1669 starting at 2001-02-14-14:56:46.683 ## A=ghenriks@nutmeg+667
 number=667 process=1669
accounting at start at 2001-02-14-14:56:46.683 ## A=ghenriks@nutmeg+667 number=
667 process=1669
opening device '|/usr/share/printconf/jetdirectprint' at 2001-02-14-14:56:46.70
3 ## A=ghenriks@nutmeg+667 number=667 process=1669
printing job 'ghenriks@nutmeg+667' at 2001-02-14-14:56:46.705 ## A=ghenriks@nut
meg+667 number=667 process=1669
processing 'dfA667nutmeg.personification.com', size 926, format 'f', IF filter 
'mf_wrapper' at 2001-02-14-14:56:46.705 ## A=ghenriks@nutmeg+667 number=667 pro
cess=1669
IF filter 'mf_wrapper' filter finished at 2001-02-14-14:56:47.011 ## A=ghenriks
@nutmeg+667 number=667 process=1669
printing finished at 2001-02-14-14:56:47.011 ## A=ghenriks@nutmeg+667 number=66
7 process=1669
LP filter msg - 'Make_passthrough: pid 1670, execve '/usr/share/printconf/jetdi
rectprint' failed - 'No such file or directory'' at 2001-02-14-14:56:47.011 ## 
A=ghenriks@nutmeg+667 number=667 process=1669
waiting for printer filter to exit at 2001-02-14-14:56:47.012 ## A=ghenriks@nut
meg+667 number=667 process=1669
accounting at end at 2001-02-14-14:56:47.012 ## A=ghenriks@nutmeg+667 number=66
7 process=1669
finished 'ghenriks@nutmeg+667', status 'JABORT' at 2001-02-14-14:56:47.012 ## A
=ghenriks@nutmeg+667 number=667 process=1669
subserver pid 1669 exit status 'JABORT' at 2001-02-14-14:56:47.013 ## A=<NULL> 
number=0 process=1668
job 'cfA667nutmeg.personification.com' error 'aborting operations' at 2001-02-1
4-14:56:47.018 ## A=<NULL> number=667 process=1668
removing job 'cfA667nutmeg.personification.com' - ABORT at 2001-02-14-14:56:47.
024 ## A=<NULL> number=667 process=1668


Comment 4 Ed Marshall 2001-02-15 12:15:51 EST
I'm seeing the same problems; printing to an SMB printer on a Windows NT 4.0
system, I get the following output from "lpq" when I submit a new job:

Status: removing job 'cfA233maelstrom.merc.local' - ABORT at 10:15:08.938

Easily replicated: remove all traces of alchemist, LPRng, and
printconf/printconf-gui, along with supporting files. Reinstall RPMs. Configure
a new default SMB printer, apply the changes (ie. restart lpd), and then try
printing any test page (Postscript or Text). No jobs submitted from other
sources (Netscape, Mozilla, gnome-print, etc) are functional either.
Comment 5 Crutcher Dunnavant 2001-02-19 18:17:55 EST
Please post the contents of /usr/share/printconf

I think the version you have doesn't actually have the smbprint, jetdirectprint,
etc files. (And that bug was all me.)
Comment 6 Crutcher Dunnavant 2001-03-08 09:58:26 EST
I'm pretty sure this is fixed in the Rawhide versions.

Try the contents of:

http://people.redhat.com/crutcher/printing

closong, reopen if you still have problems.

Note You need to log in before you can comment on or make changes to this bug.